关于 macOS High Sierra 10.13.2、安全性更新 2017-002 Sierra 和安全性更新 2017-005 El Capitan 的安全性内容

本文介绍了 macOS High Sierra 10.13.2、安全性更新 2017-002 Sierra 和安全性更新 2017-005 El Capitan 的安全性内容。

关于 Apple 安全性更新

为保护我们的客户,在没有进行调查并推出修补程序或发行版本之前,Apple 不会透露、讨论或确认安全性问题。“Apple 安全性更新”页面上列出了近期发布的版本。

如果需要了解有关安全性的更多信息,请参阅“Apple 产品安全性”页面。您可以使用 Apple 产品安全性 PGP 密钥对与 Apple 的通信进行加密。

如果可能,Apple 安全性文稿会引用 CVE-ID 中列出的安全漏洞。

macOS High Sierra 10.13.2、安全性更新 2017-002 Sierra 和安全性更新 2017-005 El Capitan

发布于 2017 年 12 月 6 日

APFS

适用于:macOS High Sierra 10.13.1

影响:休眠后,APFS 加密密钥可能无法安全删除

描述:在休眠期间删除密钥时,APFS 中存在逻辑问题。已通过改进状态管理解决这个问题。

CVE-2017-13887: David Ryskalczyk

条目添加于 2018 年 6 月 21 日

apache

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:处理恶意制作的 Apache 配置指令可能会导致进程内存泄露

描述:已通过更新至版本 2.4.28 解决多个问题。

CVE-2017-9798

CFNetwork 会话

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够以系统权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-7172: Richard Zhu (fluorescence) working with Trend Micro's Zero Day Initiative

条目添加于 2018 年 1 月 22 日

CoreAnimation

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够以提升的权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-7171: 360 Security working with Trend Micro's Zero Day Initiative, and Tencent Keen Security Lab (@keen_lab) working with Trend Micro's Zero Day Initiative

条目添加于 2018 年 1 月 22 日

curl

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:恶意 FTP 服务器或许能够导致客户端越界读取内存

描述:对 FTP PWD 响应进行解析时存在越界读取问题。已通过改进边界检查解决这个问题。

CVE-2017-1000254: Max Dymond

目录实用工具

适用于:macOS Sierra 10.12.6、macOS High Sierra 10.13.1

不影响:macOS Sierra 10.12.6 及更低版本

影响:攻击者或许能够在不提供管理员密码的情况下绕过管理员鉴定

描述:验证凭证时存在逻辑错误。已通过改进凭证验证解决这个问题。

CVE-2017-13872

ICU

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够读取受限内存

描述:已通过改进输入验证解决整数溢出问题。

CVE-2017-15422: Yuan Deng of Ant-financial Light-Year Security Lab

条目添加于 2018 年 3 月 14 日

Intel 图形卡驱动程序

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够以内核权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-13883: Yu Wang of Didi Research America

CVE-2017-7163: Yu Wang of Didi Research America

CVE-2017-7155: Yu Wang of Didi Research America

条目更新于 2017 年 12 月 21 日

Intel 图形卡驱动程序

适用于:macOS High Sierra 10.13.1

影响:本地用户或许能够导致系统意外终止或读取内核内存

描述:存在导致内核内存泄露的越界读取问题。已通过改进输入验证解决这个问题。

CVE-2017-13878: Ian Beer of Google Project Zero

Intel 图形卡驱动程序

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够以系统权限执行任意代码

描述:已通过改进边界检查解决越界读取问题。

CVE-2017-13875: Ian Beer of Google Project Zero

IOAcceleratorFamily

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够以系统权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-7159: found by IMF developed by HyungSeok Han (daramg.gift) of SoftSec, KAIST (softsec.kaist.ac.kr)

条目更新于 2017 年 12 月 21 日

IOKit

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够以系统权限执行任意代码

描述:内核中存在输入验证问题。已通过改进输入验证解决这个问题。

CVE-2017-13848: Alex Plaskett of MWR InfoSecurity

CVE-2017-13858: an anonymous researcher

IOKit

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够以系统权限执行任意代码

描述:已通过改进状态管理解决多个内存损坏问题。

CVE-2017-13847: Ian Beer of Google Project Zero

IOKit

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够以内核权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-7162: Tencent Keen Security Lab (@keen_lab) working with Trend Micro's Zero Day Initiative

条目更新于 2018 年 1 月 10 日

内核

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够以内核权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-13904: Kevin Backhouse of Semmle Ltd.

条目添加于 2018 年 2 月 14 日

内核

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够读取内核内存 - “Meltdown”(熔断)

描述:配备微处理器且采用预测执行和间接分支预测的系统可能会允许通过对数据缓存进行边信道分析来向拥有本地用户访问权限的攻击者未经授权地泄露信息。

CVE-2017-5754: Jann Horn of Google Project Zero; Moritz Lipp of Graz University of Technology; Michael Schwarz of Graz University of Technology; Daniel Gruss of Graz University of Technology; Thomas Prescher of Cyberus Technology GmbH; Werner Haas of Cyberus Technology GmbH; Stefan Mangard of Graz University of Technology; Paul Kocher; Daniel Genkin of University of Pennsylvania and University of Maryland; Yuval Yarom of University of Adelaide and Data61; and Mike Hamburg of Rambus (Cryptography Research Division)

这个条目更新于 2018 年 1 月 5 日

内核

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够以内核权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-13862: Apple

CVE-2017-13867: Ian Beer of Google Project Zero

条目更新于 2017 年 12 月 21 日

内核

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够读取受限内存

描述:已通过改进边界检查解决越界读取问题。

CVE-2017-7173: Brandon Azad

条目更新于 2018 年 1 月 11 日

内核

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够以内核权限执行任意代码

描述:已通过改进内存处理解决内存损坏问题。

CVE-2017-13876: Ian Beer of Google Project Zero

内核

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够读取受限内存

描述:已通过改进内存处理解决类型混淆问题。

CVE-2017-13855: Jann Horn of Google Project Zero

内核

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够读取受限内存

描述:已通过改进输入清理解决验证问题。

CVE-2017-13865: Ian Beer of Google Project Zero

内核

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够读取受限内存

描述:已通过改进输入清理解决验证问题。

CVE-2017-13868: Brandon Azad

CVE-2017-13869: Jann Horn of Google Project Zero

内核

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:本地用户或许能够导致系统意外终止或读取内核内存

描述:内核中存在输入验证问题。已通过改进输入验证解决这个问题。

CVE-2017-7154: Jann Horn of Google Project Zero

条目添加于 2017 年 12 月 21 日

邮件

适用于:macOS High Sierra 10.13.1

影响:如果没有安装收件人的 S/MIME 证书,加密的 S/MIME 电子邮件可能会意外地以未加密的形式发送

描述:已通过改进状态管理解决用户界面不一致问题。

CVE-2017-13871: Lukas Pitschl of GPGTools

条目更新于 2017 年 12 月 21 日

邮件草稿

适用于:macOS High Sierra 10.13.1

影响:拥有特权网络地位的攻击者或许能够拦截邮件

描述:S/MIME 凭证存在加密问题。已通过增加检查和用户控制解决这个问题。

CVE-2017-13860: Michael Weishaar of INNEO Solutions GmbH

条目更新于 2018 年 1 月 10 日

OpenSSL

适用于:OS X El Capitan 10.11.6、macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:应用程序或许能够读取受限内存

描述:对 X.509 IPAddressFamily 进行解析时存在越界读取问题。已通过改进边界检查解决这个问题。

CVE-2017-3735: found by OSS-Fuzz

屏幕共享服务器

适用于:macOS Sierra 10.12.6、macOS High Sierra 10.13.1

影响:拥有屏幕共享访问权限的用户或许能够访问 root 可读的任何文件

描述:处理屏幕共享会话时存在权限问题。已通过改进权限处理解决这个问题。

CVE-2017-7158: Trevor Jacques of Toronto

条目更新于 2017 年 12 月 21 日

SIP

适用于:macOS High Sierra 10.13.1

影响:应用程序或许能够以内核权限执行任意代码

说明:配置问题已通过增加限制得到解决。

CVE-2017-13911: an anonymous researcher

条目更新于 2018 年 8 月 8 日

Wi-Fi

适用于:macOS High Sierra 10.13.1

影响:非特权用户可能会更改 WiFi 系统参数,从而导致服务遭拒

描述:具有特权的 WiFi 系统配置存在访问权限问题。已通过增加限制解决这个问题。

CVE-2017-13886: David Kreitschmann and Matthias Schulz of Secure Mobile Networking Lab at TU Darmstadt

条目添加于 2018 年 5 月 2 日

有关非 Apple 制造的产品或非 Apple 控制或测试的独立网站的信息仅供参考,不代表 Apple 的任何建议或保证。Apple 对于第三方网站或产品的选择、性能或使用不承担任何责任。Apple 对于第三方网站的准确性和可靠性不作任何担保。互联网的使用具有一定风险。请联系供应商以了解其他信息。其他公司和产品名称可能是其各自所有公司的商标。

发布日期: